org.optaplanner.persistence.jackson.api.score.buildin.simpledouble

## Class SimpleDoubleScoreJacksonJsonDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonJsonDeserializer<SimpleDoubleScore>
    - - org.optaplanner.persistence.jackson.api.score.buildin.simpledouble.SimpleDoubleScoreJacksonJsonDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

  Deprecated.

      @Deprecated
      public class SimpleDoubleScoreJacksonJsonDeserializer
      extends AbstractScoreJacksonJsonDeserializer<SimpleDoubleScore>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDoubleScoreJacksonJsonDeserializer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDoubleScore` | `deserialize(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext context)` Deprecated.

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleDoubleScoreJacksonJsonDeserializer

          public SimpleDoubleScoreJacksonJsonDeserializer()

      Deprecated.

  - ### Method Detail

    - #### deserialize

          public SimpleDoubleScore deserialize(com.fasterxml.jackson.core.JsonParser parser,
                                               com.fasterxml.jackson.databind.DeserializationContext context)
                                        throws IOException

      Deprecated.
      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<SimpleDoubleScore>`
      Throws:
        `IOException`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.